interactions:
- request:
    body: '{"apiVersion": "v1", "kind": "Namespace", "metadata": {"name": "tool-test-account-normal"}}'
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: POST
    uri: https://10.96.0.1/api/v1/namespaces
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"08191341-a9e5-481a-8fc2-d95324916684","resourceVersion":"668199","creationTimestamp":"2024-11-05T14:49:01Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:49:01Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Active"}}

        '
    headers:
      Audit-Id:
      - 8fba4078-64e0-4f25-959a-a71a78d5ce38
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '560'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:49:01 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 201
      message: Created
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"08191341-a9e5-481a-8fc2-d95324916684","resourceVersion":"668199","creationTimestamp":"2024-11-05T14:49:01Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:49:01Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Active"}}

        '
    headers:
      Audit-Id:
      - 176885d5-1c73-48dd-a08c-18b0f9a05f5a
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '560'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:49:01 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: DELETE
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"08191341-a9e5-481a-8fc2-d95324916684","resourceVersion":"668202","creationTimestamp":"2024-11-05T14:49:01Z","deletionTimestamp":"2024-11-05T14:49:01Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:49:01Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - 95093cc0-90e4-41cb-bb5e-d8a29d7a962e
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:49:01 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"08191341-a9e5-481a-8fc2-d95324916684","resourceVersion":"668202","creationTimestamp":"2024-11-05T14:49:01Z","deletionTimestamp":"2024-11-05T14:49:01Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:49:01Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - 51a0c34f-4fd0-4b41-b238-db3686ca9b00
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:49:01 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"08191341-a9e5-481a-8fc2-d95324916684","resourceVersion":"668202","creationTimestamp":"2024-11-05T14:49:01Z","deletionTimestamp":"2024-11-05T14:49:01Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:49:01Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - aa003d7b-4ff8-4182-86d9-428d7f1de197
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:49:02 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"08191341-a9e5-481a-8fc2-d95324916684","resourceVersion":"668202","creationTimestamp":"2024-11-05T14:49:01Z","deletionTimestamp":"2024-11-05T14:49:01Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:49:01Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - f44a09e0-2663-4a66-baf9-8097eac65324
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:49:02 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"08191341-a9e5-481a-8fc2-d95324916684","resourceVersion":"668202","creationTimestamp":"2024-11-05T14:49:01Z","deletionTimestamp":"2024-11-05T14:49:01Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:49:01Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - 733acfdb-fe17-4a2e-a1a9-4e2e649a2252
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:49:03 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"08191341-a9e5-481a-8fc2-d95324916684","resourceVersion":"668202","creationTimestamp":"2024-11-05T14:49:01Z","deletionTimestamp":"2024-11-05T14:49:01Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:49:01Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - 2d9dc14e-78c2-4d7d-8881-d4d537796be2
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:49:03 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"08191341-a9e5-481a-8fc2-d95324916684","resourceVersion":"668202","creationTimestamp":"2024-11-05T14:49:01Z","deletionTimestamp":"2024-11-05T14:49:01Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:49:01Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - 4cafede2-9884-4873-8beb-effef5502800
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:49:04 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"08191341-a9e5-481a-8fc2-d95324916684","resourceVersion":"668202","creationTimestamp":"2024-11-05T14:49:01Z","deletionTimestamp":"2024-11-05T14:49:01Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:49:01Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - d96b2e68-920e-4f48-ac15-47c3b54c2a6f
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:49:04 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"08191341-a9e5-481a-8fc2-d95324916684","resourceVersion":"668202","creationTimestamp":"2024-11-05T14:49:01Z","deletionTimestamp":"2024-11-05T14:49:01Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:49:01Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - 6b415ca0-9919-42ff-8160-7f8fff853d16
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:49:05 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"08191341-a9e5-481a-8fc2-d95324916684","resourceVersion":"668202","creationTimestamp":"2024-11-05T14:49:01Z","deletionTimestamp":"2024-11-05T14:49:01Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:49:01Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - 5990b262-bebb-4e60-95c2-06d0678ae07d
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:49:05 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"08191341-a9e5-481a-8fc2-d95324916684","resourceVersion":"668202","creationTimestamp":"2024-11-05T14:49:01Z","deletionTimestamp":"2024-11-05T14:49:01Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:49:01Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - 53b219c5-0524-4243-8855-686f076fe655
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:49:06 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Status","apiVersion":"v1","metadata":{},"status":"Failure","message":"namespaces
        \"tool-test-account-normal\" not found","reason":"NotFound","details":{"name":"tool-test-account-normal","kind":"namespaces"},"code":404}

        '
    headers:
      Audit-Id:
      - 54c406c5-3610-4e31-9043-be21f12da924
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '228'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:49:06 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 404
      message: Not Found
version: 1
